> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List notifications

`GET https://api.pagerduty.com/notifications`

List notifications for a given time range, optionally filtered by type (sms_notification, email_notification, phone_notification, or push_notification).

A Notification is created when an Incident is triggered or escalated.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#notifications)

Scoped OAuth requires: `users:notifications.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |
| `time_zone` | string (tzinfo) |  | Time zone in which results will be rendered. This will default to the account time zone. |
| `since` | string (date-time) | yes | The start of the date range over which you want to search. The time element is optional. |
| `until` | string (date-time) | yes | The end of the date range over which you want to search. This should be in the same format as since. The size of the date range must be less than 3 months. |
| `filter` | string |  | Return notification of this type only. One of: `sms_notification`, `email_notification`, `phone_notification`, `push_notification`. |
| `include[]` | string |  | Array of additional details to include. One of: `users`. Items must be unique. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of notifications.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `notifications` | array of object | yes |  |
| `notifications[].id` | string |  | Read-only. |
| `notifications[].type` | string |  | The type of notification. Read-only. One of: `sms_notification`, `email_notification`, `phone_notification`, `push_notification`. |
| `notifications[].started_at` | string (date-time) |  | The time at which the notification was sent. Read-only. |
| `notifications[].address` | string |  | The address where the notification was sent. This will be null for notification type `push_notification`. Read-only. |
| `notifications[].user` | object |  |  |
| `notifications[].user.id` | string | yes | Read-only. |
| `notifications[].user.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `notifications[].user.type` | string | yes | One of: `user_reference`. |
| `notifications[].user.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `notifications[].user.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `notifications[].conferenceAddress` | string |  | The address of the conference bridge. |
| `notifications[].status` | string |  |  |
| `notifications[].` | string |  |  |

Example: Response Example

```json
{
  "notifications": [
    {
      "id": "PWL7QXS",
      "type": "phone_notification",
      "started_at": "2013-03-06T15:28:51-05:00",
      "address": "+15555551234",
      "user": {
        "id": "PT23IWX",
        "type": "user_reference",
        "summary": "Tim Wright",
        "self": "https://api.pagerduty.com/users/PT23IWX",
        "html_url": "https://subdomain.pagerduty.com/users/PT23IWX"
      }
    },
    {
      "id": "PKN7NBH",
      "type": "push_notification",
      "started_at": "2013-03-06T15:28:51-05:00",
      "user": {
        "id": "PT23IWX",
        "type": "user_reference",
        "summary": "Tim Wright",
        "self": "https://api.pagerduty.com/users/PT23IWX",
        "html_url": "https://subdomain.pagerduty.com/users/PT23IWX"
      }
    }
  ],
  "limit": 100,
  "offset": 0,
  "more": false,
  "total": null
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
